Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Data Fields
mjit_options Struct Reference

`#include <rb_mjit_min_header-2.7.0.h>`

## Data Fields
char | on
char | save_temps
char | warnings
char | debug
char * | debug_flags
unsigned int | wait
unsigned int | min_calls
int | verbose
int | max_cache_size

## Detailed Description

Definition at line 11724 of file rb_mjit_min_header-2.7.0.h.

## Field Documentation

## ◆ debug

char mjit_options::debug

Definition at line 11728 of file rb_mjit_min_header-2.7.0.h.

## ◆ debug_flags

char* mjit_options::debug_flags

Definition at line 11729 of file rb_mjit_min_header-2.7.0.h.

## ◆ max_cache_size

int mjit_options::max_cache_size

Definition at line 11733 of file rb_mjit_min_header-2.7.0.h.

## ◆ min_calls

unsigned int mjit_options::min_calls

Definition at line 11731 of file rb_mjit_min_header-2.7.0.h.

## ◆ on

char mjit_options::on

Definition at line 11725 of file rb_mjit_min_header-2.7.0.h.

## ◆ save_temps

char mjit_options::save_temps

Definition at line 11726 of file rb_mjit_min_header-2.7.0.h.

## ◆ verbose

int mjit_options::verbose

Definition at line 11732 of file rb_mjit_min_header-2.7.0.h.

Referenced by mjit_warning(), and verbose().

## ◆ wait

unsigned int mjit_options::wait

Definition at line 11730 of file rb_mjit_min_header-2.7.0.h.

## ◆ warnings

char mjit_options::warnings

Definition at line 11727 of file rb_mjit_min_header-2.7.0.h.

Referenced by mjit_warning().

The documentation for this struct was generated from the following file:

- /msysdev/ruby/src/build-x86_64-pc-msys/include/ruby-2.7.0/x86_64-msys/rb_mjit_min_header-2.7.0.h